coreEngine.Calibration

## Class Profile

- java.lang.Object
- - coreEngine.Calibration.Profile

- Direct Known Subclasses:
    DistProfile, FloatProfile, StringProfile

      public abstract class Profile
      extends java.lang.Object

  Author:
    jtrask

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `afType`
    `GeneticAlgorithm` | `alg`
    `float` | `confPct`
    `int` | `numPeriod`
    `int` | `seg`
    `static int` | `TYPE_DAF`
    `static int` | `TYPE_OAF`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Profile(GeneticAlgorithm alg, int afType, int seg, int numPeriod)`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract Profile[]` | `crossover(Profile mate)`
    `abstract float` | `getAF(int period)`
    `float` | `getAFLowerRange(int period)`
    `float` | `getAFUpperRange(int period)`
    `abstract java.lang.String` | `getBinaryAF(int period)`
    `abstract Profile` | `getDeepCopy()`
    `int` | `getNumPeriods()`
    `abstract void` | `mutate()`
    `abstract void` | `setAF(float val, int period)`
    `abstract void` | `setAF(int val, int period)`
    `abstract void` | `setAF(java.lang.String val, int period)`
    `void` | `setConfidencePct(float confPct)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### alg

          public final GeneticAlgorithm alg

    - #### seg

          public final int seg

    - #### afType

          public final int afType

    - #### numPeriod

          public final int numPeriod

    - #### confPct

          public float confPct

    - #### TYPE_OAF

          public static final int TYPE_OAF

      See Also:
        Constant Field Values

    - #### TYPE_DAF

          public static final int TYPE_DAF

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Profile

          public Profile(GeneticAlgorithm alg,
                         int afType,
                         int seg,
                         int numPeriod)

  - ### Method Detail

    - #### getNumPeriods

          public int getNumPeriods()

    - #### setConfidencePct

          public void setConfidencePct(float confPct)

    - #### getAF

          public abstract float getAF(int period)

    - #### getBinaryAF

          public abstract java.lang.String getBinaryAF(int period)

    - #### getAFLowerRange

          public float getAFLowerRange(int period)

    - #### getAFUpperRange

          public float getAFUpperRange(int period)

    - #### setAF

          public abstract void setAF(float val,
                                     int period)

    - #### setAF

          public abstract void setAF(java.lang.String val,
                                     int period)

    - #### setAF

          public abstract void setAF(int val,
                                     int period)

    - #### getDeepCopy

          public abstract Profile getDeepCopy()

    - #### mutate

          public abstract void mutate()

    - #### crossover

          public abstract Profile[] crossover(Profile mate)